package com.lodgon.embeddedglassfish.jdbcpoolnotfound;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class SimpleBean {
  @PersistenceContext
  EntityManager em;

  public SimpleEntity create(SimpleEntity simpleEntity) {
    em.persist(simpleEntity);
    return simpleEntity;
  }

  public SimpleEntity find(Long id) {
    return em.find(SimpleEntity.class, id);
  }

  public void delete(Long id) {
    SimpleEntity simpleEntity = em.find(SimpleEntity.class, id);
    if (simpleEntity != null) {
      em.remove(simpleEntity);
    }
  }
}
